Nytt Safari-säkerhetsfel på Mac, hur ska du skydda dig själv?

Under de senaste timmarna har ett viktigt säkerhetsbrist upptäckts på Mac-datorer. Mer specifikt, i standard webbläsare Safari . Även om det är sant att vi först måste säga att själva utrustningen eller data av extremt känslig natur inte är i fara, finns det viss information relaterad till din aktivitet som kan offentliggöras av vissa webbplatser.

Nytt Safari-säkerhetsfel på Mac

Vad är detta säkerhetsbrist?

Webbplatsen specialiserad på sökandet efter sårbarheter, FingerprintJS, varnade i en nyligen inträde av en bugg i Safari-programmering, dvs tillåta webbplatser att spåra användaraktivitet, oavsett vilka webbläsarinställningar som användaren har valt. Eftersom, som du kanske redan vet, för flera versioner tillåter webbläsaren dig att förhindra spårning på webbplatser, men tyvärr ignoreras detta på grund av detta tråkiga fel.

Problemet, enligt den tidigare nämnda bloggen, ligger i ett WebKit-implementeringsproblem i "IndexedDB" API, ett JavaScript-API som vanligtvis används av vissa webbplatser för att komma åt personlig information som den senaste aktiviteten i webbläsaren eller till och med profilbilden som är används i Google. Naturligtvis, som är uppenbart, kan inte alla webbplatser få tillgång till denna information, men de som använder ovannämnda API kan.

Därför, som vi sa i början, kan du vara lugn när det gäller din dators stabilitet. Det finns ingen skadlig programvara som kommer att göra den oanvändbar eller som kan stjäla information som du har lagrat på den. De kommer inte ens att kunna komma åt data som kreditkort eller liknande. Däremot kommer de att kunna spåra din historia för kommersiella ändamål, vilket vanligtvis kräver ditt samtycke.

Crear grupos de pestañas en safari

Hur kan du undvika att bli ett offer?

Det skulle vara så enkelt som att säga åt dig att inte besöka webbsidor som använder IndexedDB API, men logiskt sett är det inte något som kan vara känt till en början och även om det vore det, skulle det vara en för tråkig lösning. Det är därför det rekommenderas att använda andra webbläsare för vallmo , eftersom felet kommer från Safari och inte från andra webbläsare. Åtminstone vad som är känt i dagsläget. Det bör noteras att även i gamla versioner av Safari som "14", detta problem är inte närvarande.

Den definitiva lösningen kommer med en uppdatera av Apple , antingen på systemnivå som erbjuder en hypotetisk version av macOS 12.1.1 eller med en av de som kallas kompletterande uppdateringar och som bara skulle uppdatera webbläsaren. För närvarande finns inget av detta och inte heller det kaliforniska företaget har talat. Men i ljuset av bruset som den här nyheten genererar är det mer än troligt att de redan är medvetna om det och arbetar med säkerhetskorrigeringen för att fixa det.